This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 45026 - gnuchess SRPM needs build dependency on ncurses-devel
gnuchess SRPM needs build dependency on ncurses-devel
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnuchess (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-19 15:21 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-19 15:21:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Glen Foster 2001-06-19 15:21:43 EDT
Description of Problem: with the 7.1 product, you cannot build the gnuchess
SRPM without having ncurses-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/gnuchess*spec" is executed, you do NOT get an error
from rpm about missing/unsatisfied build dependencies.  If you install the
ncurses-devel rpm, the gnuchess SRPM builds without problems.

How Reproducible: Always

Steps to Reproduce:
   1. rpm -e ncurses-devel
   2. rpm -Uvh <tree-path>/SRPMS/gnuchess*.src.rpm
   3. rpm -ba /usr/src/redhat/SPECS/gnuchess*spec
   4. rpm -Uvh <tree-path>/RedHat/RPMS/ncurses-devel*
   5. rpm -ba /usr/src/redhat/SPECS/gnuchess*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from rpm
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the gnuchess SRPM cannot be built without installing
the ncurses-devel RPM.

Note You need to log in before you can comment on or make changes to this bug.